<?php
$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_07afa3e4c68" . "40a90ca78db3" . "521dfbe2b" => base64_decode("c3RkQ2xh" . "c3M="), "user" . "_id" => base64_decode("dXNlcl9" . "pZA=="), "aggregati" . "on" => base64_decode("YWdncmVnYXRpb" . "24="), "_ead9f7746c5" . "d5e2801ce570" . "4837fb63b" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gKFNFTEVDVCB1c2VyX2lkIEZST00gc3RhdF91cGRhdGVzIFdIRVJFIGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3JlZ2F0a" . "W9uIEFORCA="), "_d9e86995" . "f0bc6219b" . "3823d8422" . "326153" => base64_decode("U0VMRUNUIHVzZXJfaWQsIENPVU5UKG9iamVjdF9pZCkgb2JqZWN0cywgQ09VTlQoRElTVElOQ1Qg" . "b2JqZWN0X2lkKSB1bmlxdWVfb2JqZWN0cyBGUk9NIHN0YXRfdXBkYXRlcyBXSEVSRSBhZ2dyZWdh" . "dGlvbiA9IGludDphZ2dyZWdhdGlvbiBBTkQg"), "_0f939e9a0c1b17" . "527bce221f42ee8" . "27e" => base64_decode("IEdST1VQIEJZIHVz" . "ZXJfaWQpIHQ="), "_c5aeb46d4987229cd0033323a7" . "f86836" => base64_decode("b2JqZWN0" . "cw=="), "_79a5c6862da55a81bbba54" . "a4e91b2e61" => base64_decode("IEdST1VQIEJZIHVzZXJfaWQgT1JERVIgQlkgb2JqZWN0cyBERVNDLCB1bmlxdWVfb2JqZWN0c" . "yBERVNDLCB1c2VyX2lkIEFTQw=="));
use Claromentis\Core\DAL;
abstract class StatReportTopUpdaterList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 5;
        $this->rows_per_page = 10;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_d9e86995f0bc" . "6219b3823d842" . "2326153"] . $filter->AsPart() . $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_79a5c6862da55a81bbba54" . "a4e91b2e61"]);
        $query->Bind($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["aggregat" . "ion"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function ExtendDataWithObjects($data)
    {
        return $data;
    }
    protected function PrepareOutputData($data, $start_row = 0)
    {
        $_189840d11056515e52402d1412a0b6e4 = array();
        foreach ($data as $info) {
            $_189840d11056515e52402d1412a0b6e4[] = array(++$start_row, $info[$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["user" . "_id"]], $info[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_c5aeb46d4987" . "229cd0033323a" . "7f86836"]]);
        }
        return $_189840d11056515e52402d1412a0b6e4;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_ead9f7746c5d5e2801ce5704837fb" . "63b"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_0f939e9a0c1b17527bce221f42e" . "e827e"], $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
    protected function GetObjectClassName()
    {
        return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_07afa3e4" . "c6840a90c" . "a78db3521" . "dfbe2b"];
    }
}